My Workspace - Update Dashboard Details in MyWorkspace
Het dashboard in mijn werkruimte bijwerken.
PUT http://<Servername>/OperationsManager/myWorkspace/dashboard/{dashboardId}/widgets
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
dashboard
|
path | True |
string |
Geef de dashboard-id op. |
Aanvraagbody
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Type | Description |
|---|---|---|
| dashboard | ||
| widgets |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
boolean |
OK. Dashboarddetails zijn bijgewerkt in myworkspace. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Voorbeelden
MyWorkspace_UpdateDashboardDetails
Voorbeeldaanvraag
PUT http://<Servername>/OperationsManager/myWorkspace/dashboard/09f98d55-b337-47c9-8a27-1825199dee27/widgets
{
"dashboard": {
"name": "Windows Dashbaord",
"description": "test",
"config": "",
"componentType": ""
},
"widgets": [
{
"id": "0ed3b194-7f62-4bd3-bbc4-99f763c46a19",
"name": "windows state",
"description": "test",
"config": "{\"widgetDisplay\":{\"col\":1,\"row\":1,\"sizex\":6,\"sizey\":4,\"columns\":[\"maintenancemode\",\"healthstate\",\"path\",\"displayname\"],\"payload\":\"0ed3b194-7f62-4bd3-bbc4-99f763c46a19\",\"dragHandle\":\".draggable\",\"resizeHandle\":\".resizable\"},\"widgetParameters\":{\"scope\":{\"scopeSelection\":[],\"classSelection\":[{\"id\":\"3c8ac4f3-475e-44dd-4163-8a97af363705\",\"displayName\":\"All Windows Computers\",\"className\":\"Microsoft.SystemCenter.Library!Microsoft.SystemCenter.AllComputersGroup\",\"path\":null,\"fullName\":null,\"objectType\":-2}]},\"criteria\":{\"healthStates\":[\"3\",\"0\",\"2\",\"1\"],\"inMaintenanceMode\":\"All\"}},\"widgetRefreshInterval\":5}",
"componentType": "HtmlStateWidget"
}
]
}
Voorbeeldrespons
[
"true"
]
Definities
| Name | Description |
|---|---|
|
Component |
|
|
Update |
|
|
Widget |
ComponentRequest
| Name | Type | Description |
|---|---|---|
| componentType |
string |
Onderdeeltype |
| config |
string |
Configuratie van onderdelen |
| description |
string |
Beschrijving van onderdeel |
| name |
string |
Naam van onderdeel |
UpdateDashboard
| Name | Type | Description |
|---|---|---|
| dashboard | ||
| widgets |
WidgetRequest
| Name | Type | Description |
|---|---|---|
| componentType |
string |
Onderdeeltype |
| config |
string |
Configuratie van onderdelen |
| description |
string |
Beschrijving van onderdeel |
| id |
string |
Widget-id |
| name |
string |
Naam van onderdeel |